Skip to content

List contact associations

Request

Returns a paginated list of Contact Associations for the specified site. Supports filtering and sorting.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Query
pagenumber, >= 0

Page number (0-indexed)

Default:0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
sortBystring

Field to sort by

Enum:"createdAt""updatedAt"
sortOrderstring

Sort order

Default:"asc"
Enum:"asc""desc"
associatedContactIdstring

Associated/related contact.

Example:associatedContactId=123e4567-e89b-12d3-a456-426614174000
associationClassstring

Classification of the relationship between the contacts.

Enum:"family""other"
contactIdstring

Primary contact in the association.

Example:contactId=123e4567-e89b-12d3-a456-426614174000
isActiveboolean

Whether this association is currently active.

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/contact-association?page=0&pageSize=10&sortBy=createdAt&sortOrder=asc&associatedContactId=123e4567-e89b-12d3-a456-426614174000&associationClass=family&contactId=123e4567-e89b-12d3-a456-426614174000&isActive=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of Contact Associations